﻿using System.Globalization;

using CsvHelper;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        using(StreamReader streamReader = new StreamReader("source.csv"))
        {
            using(CsvReader csvReader = new CsvReader(streamReader, CultureInfo.InvariantCulture))
            {
                List<Student> resultList = csvReader.GetRecords<Student>().ToList();

                foreach(Student student in resultList)
                {
                    Console.WriteLine($"{student.ID}, {student.Name}, {student.Score}");
                }
            }
        }
    }

    #endregion
}